Bug Hunting Session
Bug 35099 - Date field won't save with rtf
Summary: Date field won't save with rtf
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-07 16:01 UTC by arnold ziffel
Modified: 2012-03-18 15:28 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description arnold ziffel 2011-03-07 16:01:43 UTC
Using Insert>Fields>Date will enter correct date onto document, but won't be part of document once is saved and then closed. Had to use alternate method of Insert>Fields>Other>Document, Type-Date, Select-Date, Format 12/31/99, saving then close, then open  correct date appears. First bug I ran into with your product.
Comment 1 arnold ziffel 2011-03-07 16:03:06 UTC
none
Comment 2 Roman Eisele 2011-12-02 05:38:38 UTC
This bug is still alive:

CONFIRMED with LibreOffic 3.4.4 with German langpack installed,
AND with LibO-dev 3.5.0 
    Build ID: 549f928-b211287-090bcba-45cf606
    Build Date: 2011-12-01,
    no langpack installed (default UI),
both running on MacOS X 10.6.8 German.

Changed Platform to "All", as this is also present on MacOS.
Comment 3 Jean-Baptiste Faure 2011-12-17 15:42:02 UTC
confirmed under Ubuntu 10.04 x86_64 with LO 3.5.0 beta-1 (LibreOffice 3.5.0beta1+ 
Build ID: 6e7299d-7f15fca-8eae9f1-ca8e46d-5bcbce4)

Miklos: feel free to reassign if you can't handle this bug.

Best regards. JBF
Comment 4 Miklos Vajna 2011-12-28 12:58:01 UTC
It seems exporting this as a field is not supported (I guess Word doesn't support that field type or so), what the doc exporter does is exporting the field result as a plain string, and now the RTF exporter does the same.

Fixed in master: http://cgit.freedesktop.org/libreoffice/core/commit/?id=4b0dd950b8b79df004238f372fe55993d5ac5981

Cherry-picked to 3.5: http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-3-5&id=11b6fd520babd5b0f4fa7242377115f00b6c1c23
Comment 5 Jean-Baptiste Faure 2012-03-18 09:11:41 UTC
Works fine in LO 3.5.1. Closing. Thank you.
Comment 6 arnold ziffel 2012-03-18 15:28:28 UTC
Cool, thanks for looking into it


________________________________
 From: "bugzilla-daemon@freedesktop.org" <bugzilla-daemon@freedesktop.org>
To: arnoldziffel17@yahoo.com 
Sent: Sunday, March 18, 2012 12:11 PM
Subject: [Bug 35099] Date field won't save with rtf
 
https://bugs.freedesktop.org/show_bug.cgi?id=35099

Jean-Baptiste Faure <jbf.faure@orange.fr> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|RESOLVED                    |CLOSED

--- Comment #5 from Jean-Baptiste Faure <jbf.faure@orange.fr> 2012-03-18 09:11:41 PDT ---
Works fine in LO 3.5.1. Closing. Thank you.